View Issue Details

IDProjectCategoryView StatusLast Update
0003529Far ManagerPlugins API.Panelpublic2017-11-30 14:28
ReporterYegorAssigned Tozg 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version10
Product Version3.0 
Target VersionFixed in Version 
Summary0003529: Не приходит FE_GOTFOCUS после создания панели
DescriptionСогласно документации:
Someone wrote


FE_GOTFOCUS
Панель получила фокус ввода.
Активная панель получает событие FE_GOTFOCUS сразу после создания.
Param равен NULL.
Функция ProcessPanelEventW должна вернуть FALSE.


На самом деле приходит FE_CHANGEVIEWMODE, потом пачка FE_REDRAW, ну и при закрытии панели FE_CLOSE.

Небольшое уточнее: панель активна, но файлов в ней нет.

Попробавить или документацию или код.

Дисскусия здесь:
http://forum.farmanager.com/viewtopic.php?f=8&t=10938
Additional Information[spoiler=Log]
2017-10-09 23:28:25.986 00002764 GetGlobalInfoW
2017-10-09 23:28:25.986 00002764 SetStartupInfoW
2017-10-09 23:28:25.986 00002764 GetPluginInfoW
2017-10-09 23:28:33.471 00002764 GetPluginInfoW
2017-10-09 23:28:37.108 00002764 OpenW
2017-10-09 23:28:37.109 00002764 GetOpenPanelInfoW
2017-10-09 23:28:37.109 00002764 GetOpenPanelInfoW
2017-10-09 23:28:37.109 00002764 ProcessPanelEventW, event = 0
2017-10-09 23:28:37.109 00002764 GetOpenPanelInfoW
2017-10-09 23:28:37.109 00002764 GetOpenPanelInfoW
2017-10-09 23:28:37.109 00002764 GetOpenPanelInfoW
2017-10-09 23:28:37.109 00002764 GetOpenPanelInfoW
2017-10-09 23:28:37.109 00002764 GetFindDataW
2017-10-09 23:28:37.109 00002764 FreeFindDataW
2017-10-09 23:28:37.110 00002764 GetOpenPanelInfoW
2017-10-09 23:28:37.132 00002764 ProcessPanelEventW, event = 1
2017-10-09 23:28:37.132 00002764 GetOpenPanelInfoW
2017-10-09 23:28:37.132 00002764 GetOpenPanelInfoW
2017-10-09 23:28:37.132 00002764 GetOpenPanelInfoW
2017-10-09 23:28:37.132 00002764 GetOpenPanelInfoW
2017-10-09 23:28:37.132 00002764 ProcessPanelEventW, event = 1
2017-10-09 23:28:37.134 00002764 GetOpenPanelInfoW
2017-10-09 23:28:37.134 00002764 GetOpenPanelInfoW
2017-10-09 23:28:37.134 00002764 GetOpenPanelInfoW
2017-10-09 23:28:37.135 00002764 GetOpenPanelInfoW
2017-10-09 23:28:37.135 00002764 GetOpenPanelInfoW
2017-10-09 23:28:37.135 00002764 ProcessPanelEventW, event = 1
2017-10-09 23:28:37.135 00002764 GetOpenPanelInfoW
2017-10-09 23:28:37.135 00002764 GetOpenPanelInfoW
2017-10-09 23:28:37.135 00002764 GetOpenPanelInfoW
2017-10-09 23:28:37.135 00002764 GetOpenPanelInfoW
2017-10-09 23:28:37.135 00002764 GetOpenPanelInfoW
2017-10-09 23:28:37.194 00002764 ProcessPanelInputW
2017-10-09 23:28:38.032 00002764 ProcessPanelEventW, event = 3
2017-10-09 23:28:38.032 00002764 ClosePanelW
[/spoiler]
TagsNo tags attached.
Build5105

Activities

zg

2017-11-30 00:19

developer   bugnote:0015866

после 5104 — всё так же?

zg

2017-11-30 03:17

developer   bugnote:0015867

5105.

Yegor

2017-11-30 10:45

reporter   bugnote:0015870

Fixed. Thanks.

Issue History

Date Modified Username Field Change
2017-10-17 01:31 Yegor New Issue
2017-11-30 00:19 zg Note Added: 0015866
2017-11-30 03:17 zg Note Added: 0015867
2017-11-30 10:45 Yegor Note Added: 0015870
2017-11-30 10:47 JohnDoe Status new => resolved
2017-11-30 14:28 zg Assigned To => zg
2017-11-30 14:28 zg Status resolved => closed
2017-11-30 14:28 zg Resolution open => fixed
2017-11-30 14:28 zg Build => 5105